installation scripts for servers.
You can not select more than 25 topics
Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.
|
|
#!/bin/sh
DIR="$(realpath "$(dirname "$0")")"
# script must start at home directory cd "$HOME" || exit 1;
usertest() { if test "$(id -u)" -eq 0; then echo "You cannot run this script as root."; exit 1; fi if ! (getent passwd junikim 2>&1) > /dev/null; then echo "User junikim must exist."; exit 1 fi }
dev() { echo "Developer tools..." sudo xbps-install -Sy make python3 nodejs neovim curl }
sysinfo() { echo "Dylan Araps scripts" cd "$HOME" || exit 1; mkdir -p repos git clone https://github.com/dylanaraps/pfetch "$HOME/repos/pfetch" git clone https://github.com/dylanaraps/neofetch "$HOME/repos/neofetch" git clone https://github.com/dylanaraps/fff "$HOME/repos/fff"
cd "$HOME/repos/pfetch" || exit 1; sudo make install || exit 2; cd "$HOME" || exit 1;
cd "$HOME/repos/neofetch" || exit 1; sudo make install || exit 2; cd "$HOME" || exit 1;
cd "$HOME/repos/fff" || exit 1; sudo make install || exit 2; cd "$HOME" || exit 1; }
shell() { echo "zsh installation and configuration as login shell" sudo xbps-install -Sy zsh starship chsh -s /bin/zsh }
# neovim must be installed. plugins() { # install vim-plug, oh-my-zsh, and zsh-syntax-highlighting sh -c 'curl -fLo "${XDG_DATA_HOME:-$HOME/.local/share}"/nvim/site/autoload/plug.vim --create-dirs \
https://raw.githubusercontent.com/junegunn/vim-plug/master/plug.vim' sh -c "$(curl -fsSL https://raw.githubusercontent.com/ohmyzsh/ohmyzsh/master/tools/install.sh)" git clone https://github.com/zsh-users/zsh-syntax-highlighting.git "$HOME/.oh-my-zsh/custom/plugins/zsh-syntax-highlighting" }
dotfiles() { echo "Adding vim and zsh configs" if ! test -d "$DIR/dotfiles"; then echo "$DIR/dotfiles folder not found."; exit 1; fi # add in alacritty support curl -sSL https://raw.githubusercontent.com/alacritty/alacritty/master/extra/alacritty.info | tic -x - mkdir -p "$HOME/.config/nvim" cp "$DIR/dotfiles/.zshrc" "$HOME/.zshrc" cp "$DIR/dotfiles/init.vim" "$HOME/.config/nvim/init.vim" nvim --headless +PlugInstall +qa }
(usertest && dev && sysinfo && shell && plugins && dotfiles) || exit 1
cat <<EOF Stuff you should do now:
- run :PlugInstall - add coc extensions
EOF
|